(* Time-stamp: <modified the 26/03/2019 (at 17:07) by Erwan Jahier> *)

type node_id = string
type node = {
  id: node_id;
  file: string;
  init: (string * string) list; 
}

type edge = node_id * node_id list

(* Neighbor view from sasa: in Algo.neighbor we hide the pid and
   compute the lenv *)
type neighbor = { 
  n_id:  string; 
  n_vars: (string * Algo.varT) list;
  n_reply: int;
}

type t = {
  nodes: node list;
  succ: node_id -> node_id list;
  of_id: node_id -> node;
}

(** Parse a dot file *)
val read: string -> t
